/**
 * <copyright>
 * </copyright>
 *
 * $Id: MetadataValidator.java,v 1.1 2008-01-21 15:40:17 vmahe Exp $
 */
package org.dublincore.DublinCore.validation;

import org.dublincore.DublinCore.Audience;
import org.dublincore.DublinCore.Contributor;
import org.dublincore.DublinCore.Coverage;
import org.dublincore.DublinCore.Creator;
import org.dublincore.DublinCore.Date;
import org.dublincore.DublinCore.Description;
import org.dublincore.DublinCore.Format;
import org.dublincore.DublinCore.Identifier;
import org.dublincore.DublinCore.Language;
import org.dublincore.DublinCore.Provenance;
import org.dublincore.DublinCore.Publisher;
import org.dublincore.DublinCore.Relation;
import org.dublincore.DublinCore.Rights;
import org.dublincore.DublinCore.RightsHolder;
import org.dublincore.DublinCore.Source;
import org.dublincore.DublinCore.Subject;
import org.dublincore.DublinCore.Title;
import org.dublincore.DublinCore.Type;

import org.eclipse.emf.common.util.EList;

/**
 * A sample validator interface for {@link org.dublincore.DublinCore.Metadata}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MetadataValidator {
	boolean validate();

	boolean validateContributor(EList<Contributor> value);
	boolean validateCoverage(EList<Coverage> value);
	boolean validateCreator(EList<Creator> value);
	boolean validateDate(EList<Date> value);
	boolean validateDescription(EList<Description> value);
	boolean validateFormat(EList<Format> value);
	boolean validateIdentifier(EList<Identifier> value);
	boolean validateLanguage(EList<Language> value);
	boolean validatePublisher(EList<Publisher> value);
	boolean validateRelation(EList<Relation> value);
	boolean validateRights(EList<Rights> value);
	boolean validateSource(EList<Source> value);
	boolean validateSubject(EList<Subject> value);
	boolean validateTitle(EList<Title> value);
	boolean validateType(EList<Type> value);
	boolean validateAudience(EList<Audience> value);
	boolean validateProvenance(EList<Provenance> value);
	boolean validateRightsHolder(EList<RightsHolder> value);
}
